Package org.silverpeas.mobile.client.apps.documents

## Class DocumentsApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.documents.DocumentsApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `DocumentsAppEventHandler`, `NavigationEventHandler`, `AppEventHandler`

      public class DocumentsApp
      extends App
      implements NavigationEventHandler, DocumentsAppEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DocumentsApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `loadAttachments​(DocumentsLoadAttachmentsEvent event)` |
    `void` | `loadPublication​(DocumentsLoadPublicationEvent event)` | Get publication infos.
    `void` | `loadTopics​(DocumentsLoadGedItemsEvent event)` | Get subtopics.
    `void` | `nextPublication​(DocumentsNextPublicationEvent event)` |
    `void` | `publish​(DocumentsPublishEvent event)` |
    `void` | `share​(DocumentsSharingEvent event)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `startWithContent​(ContentDTO content)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentsApp

          public DocumentsApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### startWithContent

          public void startWithContent​(ContentDTO content)

      Overrides:
        `startWithContent` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`

    - #### loadTopics

          public void loadTopics​(DocumentsLoadGedItemsEvent event)

      Get subtopics.
      Specified by:
        `loadTopics` in interface `DocumentsAppEventHandler`

    - #### loadPublication

          public void loadPublication​(DocumentsLoadPublicationEvent event)

      Get publication infos.
      Specified by:
        `loadPublication` in interface `DocumentsAppEventHandler`

    - #### loadAttachments

          public void loadAttachments​(DocumentsLoadAttachmentsEvent event)

      Specified by:
        `loadAttachments` in interface `DocumentsAppEventHandler`

    - #### share

          public void share​(DocumentsSharingEvent event)

      Specified by:
        `share` in interface `DocumentsAppEventHandler`

    - #### nextPublication

          public void nextPublication​(DocumentsNextPublicationEvent event)

      Specified by:
        `nextPublication` in interface `DocumentsAppEventHandler`

    - #### publish

          public void publish​(DocumentsPublishEvent event)

      Specified by:
        `publish` in interface `DocumentsAppEventHandler`